Bug 1120982 - Review Request: scythestat - Scythe Statistical Library
Summary: Review Request: scythestat - Scythe Statistical Library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-SCITECH 1120983
TreeView+ depends on / blocked
 
Reported: 2014-07-18 05:30 UTC by Christopher Meng
Modified: 2019-04-19 01:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-19 01:30:54 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-07-18 05:30:52 UTC
Spec URL: http://us-la.cicku.me/scythestat.spec
SRPM URL: http://us-la.cicku.me/scythestat-1.0.3-1.fc22.src.rpm
Description: The Scythe Statistical Library is an open source C++ library for statistical computation, written by Daniel Pemstein (University of Mississippi and University of Illinois), Kevin M. Quinn (UC Berkeley), and Andrew D. Martin 
(University of Michigan). It includes a suite of matrix manipulation functions, a suite of pseudo-random number generators, and a suite of numerical optimization routines. Programs written using Scythe are generally much faster than those written in commonly used interpreted languages, such as R and MATLAB, and can be compiled on any system with the GNU GCC compiler (and perhaps with other C++ compilers). One of the primary design goals of the Scythe developers has been ease of use for non-expert C++ programmers. We provide ease of use through three primary mechanisms:

(1)Operator and function over-loading.
(2)Numerous pre-fabricated utility functions.
(3)Clear documentation and example programs.
Fedora Account System Username: cicku

Comment 1 Dominik 'Rathann' Mierzejewski 2014-07-22 07:26:18 UTC
Taking review.

Comment 2 Christopher Meng 2014-07-31 01:39:59 UTC
Hi,

Have you met any problem on this header only package?

If not I hope you can finish this soon.

Thanks.

Comment 3 Dominik 'Rathann' Mierzejewski 2014-08-06 15:40:17 UTC
The description says:
[...] We 
provide ease of use through three primary mechanisms: 

(1)Operator and function over-loading.
(2)Numerous pre-fabricated utility functions.
(3)Clear documentation and example programs.

However, no trace of documentation or example programs is present in the package. You could at least include the introductory article in PDF format available on the homepage.

Licensecheck report:

BSD (2 clause)
--------------
scythestat-1.0.3/scythestat/rng/mersenne.h

This seems to be GPLv2+ code based on the reference implementation of MT19937 (BSD).

GPL (unversioned/unknown version)
---------------------------------
scythestat-1.0.3/scythestat/datablock.h

-> this is actually GPLv2+

Unknown or generated
--------------------
scythestat-1.0.3/scythestat/algorithm.h
scythestat-1.0.3/scythestat/defs.h
scythestat-1.0.3/scythestat/distributions.h
scythestat-1.0.3/scythestat/error.h
scythestat-1.0.3/scythestat/ide.h
scythestat-1.0.3/scythestat/la.h
scythestat-1.0.3/scythestat/lapack.h
scythestat-1.0.3/scythestat/matrix.h
scythestat-1.0.3/scythestat/matrix_bidirectional_iterator.h
scythestat-1.0.3/scythestat/matrix_forward_iterator.h
scythestat-1.0.3/scythestat/matrix_random_access_iterator.h
scythestat-1.0.3/scythestat/optimize.h
scythestat-1.0.3/scythestat/rng.h
scythestat-1.0.3/scythestat/rng/lecuyer.h
scythestat-1.0.3/scythestat/rng/rtmvnorm.h
scythestat-1.0.3/scythestat/rng/wrapped_generator.h
scythestat-1.0.3/scythestat/smath.h
scythestat-1.0.3/scythestat/stat.h

-> these are also GPLv2+

This means that there is no GPLv3+ source code inside the tarball. In other words, your License: GPLv3+ seems to be wrong and should be GPLv2+. Even the project website says "[...] the source code is available to all users under the GNU General Public License.", without specifying the version. I think the GPLv3 text might have been included by mistake instead of GPLv2.

Comment 4 Dominik 'Rathann' Mierzejewski 2014-10-09 16:50:09 UTC
Ping?

Comment 5 Christopher Meng 2014-10-10 07:49:33 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #4)
> Ping?

Sorry, I haven't received any replies so far.

Comment 6 Dominik 'Rathann' Mierzejewski 2015-02-13 09:44:03 UTC
Ping? Any news?

Comment 7 Dominik 'Rathann' Mierzejewski 2015-05-15 10:37:59 UTC
Ping2. The issues I highlighted don't require upstream cooperation to fix. You can easily do it yourself (include a doc file and set the license field correctly). Please fix them and I'll approve the package.

Comment 8 Dominik 'Rathann' Mierzejewski 2015-10-09 11:44:56 UTC
Ping3.

Comment 9 Dominik 'Rathann' Mierzejewski 2015-11-11 22:04:40 UTC
Dropping review due to lack of response from the reporter.


Note You need to log in before you can comment on or make changes to this bug.